Add a task status to a project template

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
POST /data/project-templates/{project_template_id}/task-statuses

Add a task status to a project template. You must be an administrator.

Path parameters

  • project_template_id string(uuid) Required

    Unique identifier of the project template

application/json

Body Required

  • task_status_id string(uuid) Required

    Task status to add

  • priority integer

    Priority of the task status in the template

  • roles_for_board array[string]

    Roles that see the task status on the board

  • is_client_allowed boolean | null

    Let the clients use the task status. Send null to use the value of the studio. If the field is not in the body, an existing link keeps its value.

Responses

  • 201

    The new link

  • 400

    The body is not valid, or an identifier does not exist

  • 403

    You are not an administrator

  • 404

    The project template does not exist

POST /data/project-templates/{project_template_id}/task-statuses
curl \
 --request POST '/api/data/project-templates/a24a6ea4-ce75-4665-a070-57453082c250/task-statuses' \
 --header "Authorization: $API_KEY" \
 --header "Content-Type: application/json" \
 --data '{
  "task_status_id": "string",
  "priority": 42,
  "roles_for_board": [
    "string"
  ],
  "is_client_allowed": true
}'
Request examples
{
  "task_status_id": "string",
  "priority": 42,
  "roles_for_board": [
    "string"
  ],
  "is_client_allowed": true
}